<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:21 PST 2021 -->
<title>org.apache.nutch.protocol.httpclient (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<h1 class="bar"><a href="../../../../../org/apache/nutch/protocol/httpclient/package-summary.html" target="classFrame">org.apache.nutch.protocol.httpclient</a></h1>
<div class="indexContainer">
<h2 title="Interfaces">Interfaces</h2>
<ul title="Interfaces">
<li><a href="HttpAuthentication.html" title="interface in org.apache.nutch.protocol.httpclient" target="classFrame"><span class="interfaceName">HttpAuthentication</span></a></li>
</ul>
<h2 title="Classes">Classes</h2>
<ul title="Classes">
<li><a href="DummySSLProtocolSocketFactory.html" title="class in org.apache.nutch.protocol.httpclient" target="classFrame">DummySSLProtocolSocketFactory</a></li>
<li><a href="DummyX509TrustManager.html" title="class in org.apache.nutch.protocol.httpclient" target="classFrame">DummyX509TrustManager</a></li>
<li><a href="Http.html" title="class in org.apache.nutch.protocol.httpclient" target="classFrame">Http</a></li>
<li><a href="HttpAuthenticationFactory.html" title="class in org.apache.nutch.protocol.httpclient" target="classFrame">HttpAuthenticationFactory</a></li>
<li><a href="HttpBasicAuthentication.html" title="class in org.apache.nutch.protocol.httpclient" target="classFrame">HttpBasicAuthentication</a></li>
<li><a href="HttpFormAuthConfigurer.html" title="class in org.apache.nutch.protocol.httpclient" target="classFrame">HttpFormAuthConfigurer</a></li>
<li><a href="HttpFormAuthentication.html" title="class in org.apache.nutch.protocol.httpclient" target="classFrame">HttpFormAuthentication</a></li>
<li><a href="HttpResponse.html" title="class in org.apache.nutch.protocol.httpclient" target="classFrame">HttpResponse</a></li>
</ul>
<h2 title="Exceptions">Exceptions</h2>
<ul title="Exceptions">
<li><a href="HttpAuthenticationException.html" title="class in org.apache.nutch.protocol.httpclient" target="classFrame">HttpAuthenticationException</a></li>
</ul>
</div>
</body>
</html>
